Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XML
Class XMLStack

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--java.util.Stack
                              |
                              +--XML.XMLStack

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class XMLStack
extends java.util.Stack

This class is used by the XMLLoader and the XMLSaver to remember where the parser is saving/loading in the XML tree. XMLStack is an extension of the normal java.util.Stack.

See Also:
  Serialized Form

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XMLStack()` Make a new XMLStack

Method Summary
`java.lang.String` | `getBranchName()`
`java.lang.Object` | `pop()` Standard stack pop method
`java.lang.Object` | `push(java.lang.Object x)` Standard stack push method
`protected void` | `updateBranchName()` Internal method to update the branch name if the stack has changed

Methods inherited from class java.util.Stack
`empty, peek, search`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### XMLStack

    public XMLStack()

  Make a new XMLStack

Method Detail

### push

    public java.lang.Object push(java.lang.Object x)

  Standard stack push method
  Overrides:
    `push` in class `java.util.Stack`

### pop

    public java.lang.Object pop()

  Standard stack pop method
  Overrides:
    `pop` in class `java.util.Stack`

### getBranchName

    public java.lang.String getBranchName()

  Returns:
    the complete dot separated branchname

### updateBranchName

    protected void updateBranchName()

  Internal method to update the branch name if the stack has changed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD